.nav__wrap{
    width: 100%;
    background-color: #3B5EA0;
    color: #fff;
    box-sizing: border-box;
    letter-spacing: 0.1px;
}

.nav__body{
    position: relative;
    display: flex;
    justify-content: center;
    height: 60px;
    align-items: center;
}

.nav__menu{
    height: 100%;
}

.nav__burger{
    display: none;
}

.nav__list{
    display: flex;
    position: relative;
    padding: 0;
    margin: 0;
    height: 100%;
    align-items: center;
}

.nav__list>li{
    list-style: none;
    margin: 0 0 0 20px;
    height: 100%;
    display: flex;
    align-items: center;
    padding: 0 2px;
    cursor: pointer;
}

.nav__list>li:hover{
    background-color: rgb(184, 207, 250);
    color: #3B5EA0;
}

.nav__list>li:hover .nav__link{
    color: #3B5EA0;
}

.nav__list>li:nth-child(1){
    margin: 0;
}

.mouse .nav__list>li:nth-child(3):hover .sub-nav{
    display: block;
}


.nav__link{
    color: #fff;
    text-transform: uppercase;
    font-size: 1.1rem;
    text-decoration: none;
    position: relative;
    height: 100%;
    display: flex;
    align-items: center;
}

.nav__link:hover{
    color: #3B5EA0;
    text-decoration: none;
}

.nav__link p{
    margin: 0;
}

.sub-nav_hidden {
    display: none;
}

.sub-nav{
    background-color: rgb(184, 207, 250);
    color: #3B5EA0;
    position: absolute;
    left: auto;
    top: 45px;
    margin-left: -2px;
    border: 0;
    border-radius: 0;
}

.sub-nav li{
    list-style: none;
    background-color: rgb(195, 214, 247);
}

.sub-nav__link{
    display: block;
    text-decoration: none;
    color: #3B5EA0;
    font-size: 1.1rem;
    padding: 10px 15px;
}

.sub-nav__link:hover,
.sub-nav__link:focus{
    text-decoration: none;
    color: #3B5EA0;
    background-color: rgb(143, 181, 250);
}

.nav__menu-for-mobile{
    display: none !important;
}

.nav__text{
    color: #fff;
    text-transform: uppercase;
    font-size: 1.5rem;
}



@media (max-width: 950px){
    .nav__link {
        font-size: 0.8rem;
        letter-spacing: 0.2px;
    }
}


@media (max-width: 767px){
    body.lock-scroll{
        overflow: hidden !important;
    }

    body{
        position: relative;
    }

    .nav__dropdown-menu{
        display: none !important;
    }

    .nav__menu-for-mobile{
        display: block !important;
    }

    .nav__body{
        height: 50px;
    }

    .nav__wrap {
        width: 50px;
        position: fixed;
        top: 10px;
        right: 10px;
        border-radius: 50%;
    }

    .nav__menu{
        position: fixed;
        top: -100%;
        left: 0;
        width: 100%;
        height: 100%;
        padding: 70px 10px 20px 10px;
        overflow: auto;
        transition: all 0.3s ease 0s;
    }

    .nav__list{
        flex-direction: column;
        justify-content: center;
    }

    .nav__list li{
        margin: 0;
        height: auto;
        margin-bottom: 2rem !important;
    }

    .nav__menu.active{
        top: 0;
        background-color: rgba(52, 78, 157, 0.9);
        z-index: 90;
    }

    .nav__burger{
        display: block;
        position: fixed;
        width: 30px;
        height: 20px;
        z-index: 99;
    }

    .nav__burger span {
        position: absolute;
        background-color: #fff;
        left: 0;
        width: 100%;
        height: 2px;
        top: 9px;
        transition: all 0.3s ease 0s;
    }

    .nav__burger:before,
    .nav__burger:after{
        content: "";
        background-color: #fff;
        position: absolute;
        width: 100%;
        height: 2px;
        left: 0;
        transition: all 0.3s ease 0s;
    }

    .nav__burger:before{
        top: 0;
    }

    .nav__burger:after{
        bottom: 0;
    }

    .nav__burger.active:before{
        transform: rotate(45deg);
        top: 9px;
    }

    .nav__burger.active:after{
        transform: rotate(-45deg);
        bottom: 9px;
    }

    .nav__burger.active span{
        transform: scale(0);
    }

    .nav__link p {
        font-size: 1.5rem;
    }

    .sub-nav_for-mobile{
        text-align: center;
    }

    .sub-nav__link_for-mobile{
        color: #fff;
        display: block;
        text-decoration: none;
        margin-bottom: 0.5rem;
        font-size: 1.3rem;
    }

    .sub-nav__link_for-mobile:hover,
    .sub-nav__link_for-mobile:focus{
        color: #fff;
        text-decoration: none;
    }

    .nav__list>li:hover{
        background-color: transparent;
        color: #fff;
    }
    
    .nav__list>li:hover .nav__link{
        color: #fff;
    }
    
    .nav__link:hover{
        color: #fff;
    }

}